> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Finding Routing Rule

> Create a new finding routing rule that defines which policy to use for auto-routing matching findings.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/findings/routing-rules
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/findings/routing-rules:
    post:
      tags:
        - Finding Routing Rules
      summary: Create Finding Routing Rule
      description: >-
        Create a new finding routing rule that defines which policy to use for
        auto-routing matching findings.
      operationId: c1.api.finding.v1.FindingRoutingRuleService.CreateFindingRoutingRule
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.finding.v1.CreateFindingRoutingRuleRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.finding.v1.CreateFindingRoutingRuleResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: CreateFindingRoutingRule
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.FindingRoutingRule.CreateFindingRoutingRule(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.CreateFindingRoutingRuleResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.findingRoutingRule.createFindingRoutingRule();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.finding.v1.CreateFindingRoutingRuleRequest:
      description: The CreateFindingRoutingRuleRequest message.
      properties:
        routingRule:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.FindingRoutingRule'
            - type: 'null'
      title: Create Finding Routing Rule Request
      type: object
      x-speakeasy-name-override: CreateFindingRoutingRuleRequest
    c1.api.finding.v1.CreateFindingRoutingRuleResponse:
      description: The CreateFindingRoutingRuleResponse message.
      properties:
        routingRule:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.FindingRoutingRule'
            - type: 'null'
      title: Create Finding Routing Rule Response
      type: object
      x-speakeasy-name-override: CreateFindingRoutingRuleResponse
    c1.api.finding.v1.FindingRoutingRule:
      description: The FindingRoutingRule message.
      properties:
        action:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.FindingRoutingRuleAction'
            - type: 'null'
        appId:
          description: The appId field.
          type:
            - string
            - 'null'
        condition:
          description: The condition field.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        description:
          description: The description field.
          type:
            - string
            - 'null'
        displayName:
          description: The displayName field.
          type:
            - string
            - 'null'
        enabled:
          description: The enabled field.
          type:
            - boolean
            - 'null'
        id:
          description: The id field.
          type:
            - string
            - 'null'
        priority:
          description: The priority field.
          format: int32
          type:
            - integer
            - 'null'
        templateId:
          description: The templateId field.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Finding Routing Rule
      type: object
      x-speakeasy-name-override: FindingRoutingRule
    c1.api.finding.v1.FindingRoutingRuleAction:
      description: >
        The FindingRoutingRuleAction message.


        This message contains a oneof named action. Only a single field of the
        following list may be set at a time:
          - createTask
          - suppress
          - notify
      properties:
        createTask:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.CreateTaskAction'
            - type: 'null'
        notify:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.NotifyAction'
            - type: 'null'
        suppress:
          oneOf:
            - $ref: '#/components/schemas/c1.api.finding.v1.SuppressRoutingAction'
            - type: 'null'
      title: Finding Routing Rule Action
      type: object
      x-speakeasy-name-override: FindingRoutingRuleAction
    c1.api.finding.v1.CreateTaskAction:
      description: The CreateTaskAction message.
      properties:
        policyId:
          description: The policyId field.
          type:
            - string
            - 'null'
      title: Create Task Action
      type: object
      x-speakeasy-name-override: CreateTaskAction
    c1.api.finding.v1.NotifyAction:
      description: The NotifyAction message.
      title: Notify Action
      type: object
      x-speakeasy-name-override: NotifyAction
    c1.api.finding.v1.SuppressRoutingAction:
      description: The SuppressRoutingAction message.
      properties:
        reason:
          description: The reason field.
          type:
            - string
            - 'null'
      title: Suppress Routing Action
      type: object
      x-speakeasy-name-override: SuppressRoutingAction
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````